Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.wsdl
Class Wsdl11Reader

    java.lang.Object
      org.modeshape.sequencer.sramp.AbstractResolvingReader
          org.modeshape.sequencer.wsdl.WsdlReader<javax.wsdl.Definition>
              org.modeshape.sequencer.wsdl.Wsdl11Reader

    @NotThreadSafe
    public class Wsdl11Reader

extends WsdlReader<javax.wsdl.Definition>

A class that can parse WSDL 1.1 definitions and derive a node structure from the content

Nested Class Summary
`protected class` | `Wsdl11Reader.CustomWSDLLocator`
`protected class` | `Wsdl11Reader.PortTypeResolvers`

Field Summary
`protected static SymbolSpace` | `BINDINGS`
`protected static SymbolSpace` | `MESSAGES`
`protected Map<javax.wsdl.WSDLElement,String>` | `nameForComponent`
`protected static SymbolSpace` | `PORT_TYPES`
`protected static SymbolSpace` | `PORTS`
`protected static SymbolSpace` | `SERVICES`
`protected Map<javax.wsdl.WSDLElement,String>` | `uuidForComponent`

Fields inherited from class org.modeshape.sequencer.wsdl.WsdlReader
`baseUri`

Fields inherited from class org.modeshape.sequencer.sramp.AbstractResolvingReader
`context, logger`

Constructor Summary
`Wsdl11Reader(Sequencer.Context context, String baseUri)`

Method Summary
`protected Node` | `addChildNode(Node parentNode, QName qname, String primaryType)`
`protected String` | `cleanDocumentationContent(String content)` This method is used by the `processDocumentation(WSDLElement, Node)` to clean up the documentation content string.
`protected String` | `getAttributeValue(Element element, String namespaceUri, String localName)`
`protected javax.wsdl.Definition` | `parse(InputSource source)` Parse the supplied source (which contains either a `Reader` or an `InputStream`) and produce a representation of the WSDL definition.
`protected void` | `process(javax.wsdl.Definition definition, Node outputNode, long sizeOfFile)` Process the supplied representation of the WSDL definition that was returned from the `WsdlReader.parse(org.xml.sax.InputSource)` method and write the derived output content under the `outputNode`.
`protected void` | `processBinding(javax.wsdl.Binding binding, Node bindingsNode)`
`protected void` | `processBindingFault(javax.wsdl.BindingFault fault, Node parentNode)`
`protected void` | `processBindingInput(javax.wsdl.BindingInput input, Node parentNode, javax.wsdl.OperationType style, String operationName, javax.wsdl.Operation operation)`
`protected void` | `processBindingOperation(javax.wsdl.BindingOperation operation, Node parentNode)`
`protected void` | `processBindingOutput(javax.wsdl.BindingOutput out, Node parentNode, javax.wsdl.OperationType style, String operationName, javax.wsdl.Operation operation)`
`protected void` | `processBindings(Map<String,javax.wsdl.Binding> bindings, Node parentNode)`
`protected void` | `processDocumentation(javax.wsdl.WSDLElement wsdlElement, Node outputNode)`
`protected void` | `processExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement element, Node parentNode)`
`protected void` | `processExtensibilityElements(javax.wsdl.WSDLElement wsdlElement, Node outputNode)`
`protected void` | `processFault(javax.wsdl.Fault fault, Node parentNode)`
`protected void` | `processHTTPAddress(javax.wsdl.extensions.http.HTTPAddress element, Node parentNode)`
`protected void` | `processHTTPBinding(javax.wsdl.extensions.http.HTTPBinding element, Node parentNode)`
`protected void` | `processHTTPOperation(javax.wsdl.extensions.http.HTTPOperation element, Node parentNode)`
`protected void` | `processHTTPUrlEncoded(javax.wsdl.extensions.http.HTTPUrlEncoded element, Node parentNode)`
`protected void` | `processHTTPUrlReplacement(javax.wsdl.extensions.http.HTTPUrlReplacement element, Node parentNode)`
`protected void` | `processInput(javax.wsdl.Input input, Node parentNode, javax.wsdl.OperationType style, String operationName)`
`protected void` | `processMessage(javax.wsdl.Message message, Node messagesNode)`
`protected void` | `processMessages(Map<String,javax.wsdl.Message> messages, Node parentNode)`
`protected void` | `processMIMEContent(javax.wsdl.extensions.mime.MIMEContent element, Node parentNode)`
`protected void` | `processMIMEMimeXml(javax.wsdl.extensions.mime.MIMEMimeXml element, Node parentNode)`
`protected void` | `processMIMEMultipartRelated(javax.wsdl.extensions.mime.MIMEMultipartRelated element, Node parentNode)`
`protected void` | `processMIMEPart(javax.wsdl.extensions.mime.MIMEPart element, Node parentNode)`
`protected void` | `processOperation(javax.wsdl.Operation operation, Node parentNode)`
`protected void` | `processOutput(javax.wsdl.Output out, Node operationNode, javax.wsdl.OperationType style, String operationName)`
`protected void` | `processPart(javax.wsdl.Part part, Node parentNode)`
`protected void` | `processPort(javax.wsdl.Port port, Node parentNode)`
`protected void` | `processPortType(javax.wsdl.PortType portType, Node portTypesNode)`
`protected void` | `processPortTypes(Map<String,javax.wsdl.PortType> portTypes, Node parentNode)`
`protected void` | `processSchema(javax.wsdl.extensions.schema.Schema schema, Node parentNode, XsdReader xsdReader)`
`protected void` | `processService(javax.wsdl.Service service, Node parentNode)`
`protected void` | `processServices(Map<String,javax.wsdl.Service> services, Node parentNode)`
`protected void` | `processSOAP12Address(javax.wsdl.extensions.soap12.SOAP12Address element, Node parentNode)`
`protected void` | `processSOAP12Binding(javax.wsdl.extensions.soap12.SOAP12Binding element, Node parentNode)`
`protected void` | `processSOAP12Body(javax.wsdl.extensions.soap12.SOAP12Body element, Node parentNode)`
`protected void` | `processSOAP12Fault(javax.wsdl.extensions.soap12.SOAP12Fault element, Node parentNode)`
`protected void` | `processSOAP12Header(javax.wsdl.extensions.soap12.SOAP12Header element, Node parentNode)`
`protected void` | `processSOAP12HeaderFault(javax.wsdl.extensions.soap12.SOAP12HeaderFault element, Node parentNode)`
`protected void` | `processSOAP12Operation(javax.wsdl.extensions.soap12.SOAP12Operation element, Node parentNode)`
`protected void` | `processSOAPAddress(javax.wsdl.extensions.soap.SOAPAddress element, Node parentNode)`
`protected void` | `processSOAPBinding(javax.wsdl.extensions.soap.SOAPBinding element, Node parentNode)`
`protected void` | `processSOAPBody(javax.wsdl.extensions.soap.SOAPBody element, Node parentNode)`
`protected void` | `processSOAPFault(javax.wsdl.extensions.soap.SOAPFault element, Node parentNode)`
`protected void` | `processSOAPHeader(javax.wsdl.extensions.soap.SOAPHeader element, Node parentNode)`
`protected void` | `processSOAPHeaderFault(javax.wsdl.extensions.soap.SOAPHeaderFault element, Node parentNode)`
`protected void` | `processSOAPOperation(javax.wsdl.extensions.soap.SOAPOperation element, Node parentNode)`
`protected void` | `processTypes(javax.wsdl.Types types, Node parentNode)`
`protected void` | `processUnknownExtensionElement(javax.wsdl.extensions.ExtensibilityElement element, Node parentNode)` This method is called by `processExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement, javax.jcr.Node)` when the type of extension is not known.
`protected boolean` | `processXsdAnnotation(Element element, Node parentNode)`
`protected boolean` | `processXsdReference(Element element, Node parentNode)`
`protected void` | `setReference(Node node, String propertyName, SymbolSpace space, QName name)`
`protected void` | `setReferenceable(Node node, SymbolSpace space, QName qname)`
`protected void` | `setReferenceable(Node node, SymbolSpace space, String namespace, String name)`
`protected String` | `uuidForComponent(javax.wsdl.WSDLElement component)`
`protected String` | `writeXml(Node xmlNode)`

Methods inherited from class org.modeshape.sequencer.wsdl.WsdlReader
`read`

Methods inherited from class org.modeshape.sequencer.sramp.AbstractResolvingReader
`getContext, getResolvers, read, registerForSymbolSpace, registerNamespace, resolveReferences, setReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGES

    protected static final SymbolSpace MESSAGES

### PORT_TYPES

    protected static final SymbolSpace PORT_TYPES

### BINDINGS

    protected static final SymbolSpace BINDINGS

### PORTS

    protected static final SymbolSpace PORTS

### SERVICES

    protected static final SymbolSpace SERVICES

### uuidForComponent

    protected Map<javax.wsdl.WSDLElement,String> uuidForComponent

### nameForComponent

    protected Map<javax.wsdl.WSDLElement,String> nameForComponent

Constructor Detail

### Wsdl11Reader

    public Wsdl11Reader(Sequencer.Context context,
                        String baseUri)

Method Detail

### parse

    protected javax.wsdl.Definition parse(InputSource source)
                                   throws Exception

  Parse the supplied source (which contains either a `Reader` or an `InputStream`) and produce a representation of the WSDL definition.

  Specified by:
    `parse` in class `WsdlReader<javax.wsdl.Definition>`
  Parameters:
    `source` - the source containing the WSDL stream; never null
  Returns:
    the WSDL definition representation; may not be null
  Throws:
    `Exception` - if there is a problem during parsing

### process

    protected void process(javax.wsdl.Definition definition,
                           Node outputNode,
                           long sizeOfFile)
                    throws Exception

  Description copied from class: `WsdlReader`
  Process the supplied representation of the WSDL definition that was returned from the `WsdlReader.parse(org.xml.sax.InputSource)` method and write the derived output content under the `outputNode`.

  Specified by:
    `process` in class `WsdlReader<javax.wsdl.Definition>`
  Parameters:
    `definition` - the representation of the WSDL definition, which will always be the value returned from `WsdlReader.parse(org.xml.sax.InputSource)`
    `outputNode` - the `node` under which the derived content for the XSD should be written; may not be null
    `sizeOfFile` - the size of the WSDL stream, in bytes
  Throws:
    `Exception` - if there is a problem during processing

### processTypes

    protected void processTypes(javax.wsdl.Types types,
                                Node parentNode)
                         throws Exception

  Throws:
    `Exception`

### processSchema

    protected void processSchema(javax.wsdl.extensions.schema.Schema schema,
                                 Node parentNode,
                                 XsdReader xsdReader)
                          throws Exception

  Throws:
    `Exception`

### processXsdReference

    protected boolean processXsdReference(Element element,
                                          Node parentNode)
                                   throws RepositoryException

  Throws:
    `RepositoryException`

### getAttributeValue

    protected String getAttributeValue(Element element,
                                       String namespaceUri,
                                       String localName)

### processXsdAnnotation

    protected boolean processXsdAnnotation(Element element,
                                           Node parentNode)

### processMessages

    protected void processMessages(Map<String,javax.wsdl.Message> messages,
                                   Node parentNode)
                            throws Exception

  Throws:
    `Exception`

### processMessage

    protected void processMessage(javax.wsdl.Message message,
                                  Node messagesNode)
                           throws Exception

  Throws:
    `Exception`

### processPart

    protected void processPart(javax.wsdl.Part part,
                               Node parentNode)
                        throws Exception

  Throws:
    `Exception`

### processPortTypes

    protected void processPortTypes(Map<String,javax.wsdl.PortType> portTypes,
                                    Node parentNode)
                             throws Exception

  Throws:
    `Exception`

### processPortType

    protected void processPortType(javax.wsdl.PortType portType,
                                   Node portTypesNode)
                            throws Exception

  Throws:
    `Exception`

### processOperation

    protected void processOperation(javax.wsdl.Operation operation,
                                    Node parentNode)
                             throws Exception

  Throws:
    `Exception`

### processInput

    protected void processInput(javax.wsdl.Input input,
                                Node parentNode,
                                javax.wsdl.OperationType style,
                                String operationName)
                         throws Exception

  Throws:
    `Exception`

### processOutput

    protected void processOutput(javax.wsdl.Output out,
                                 Node operationNode,
                                 javax.wsdl.OperationType style,
                                 String operationName)
                          throws Exception

  Throws:
    `Exception`

### processFault

    protected void processFault(javax.wsdl.Fault fault,
                                Node parentNode)
                         throws Exception

  Throws:
    `Exception`

### processBindings

    protected void processBindings(Map<String,javax.wsdl.Binding> bindings,
                                   Node parentNode)
                            throws Exception

  Throws:
    `Exception`

### processBinding

    protected void processBinding(javax.wsdl.Binding binding,
                                  Node bindingsNode)
                           throws Exception

  Throws:
    `Exception`

### processBindingOperation

    protected void processBindingOperation(javax.wsdl.BindingOperation operation,
                                           Node parentNode)
                                    throws Exception

  Throws:
    `Exception`

### processBindingInput

    protected void processBindingInput(javax.wsdl.BindingInput input,
                                       Node parentNode,
                                       javax.wsdl.OperationType style,
                                       String operationName,
                                       javax.wsdl.Operation operation)
                                throws Exception

  Throws:
    `Exception`

### processBindingOutput

    protected void processBindingOutput(javax.wsdl.BindingOutput out,
                                        Node parentNode,
                                        javax.wsdl.OperationType style,
                                        String operationName,
                                        javax.wsdl.Operation operation)
                                 throws Exception

  Throws:
    `Exception`

### processBindingFault

    protected void processBindingFault(javax.wsdl.BindingFault fault,
                                       Node parentNode)
                                throws Exception

  Throws:
    `Exception`

### processServices

    protected void processServices(Map<String,javax.wsdl.Service> services,
                                   Node parentNode)
                            throws Exception

  Throws:
    `Exception`

### processService

    protected void processService(javax.wsdl.Service service,
                                  Node parentNode)
                           throws Exception

  Throws:
    `Exception`

### processPort

    protected void processPort(javax.wsdl.Port port,
                               Node parentNode)
                        throws Exception

  Throws:
    `Exception`

### processDocumentation

    protected void processDocumentation(javax.wsdl.WSDLElement wsdlElement,
                                        Node outputNode)
                                 throws Exception

  Throws:
    `Exception`

### cleanDocumentationContent

    protected String cleanDocumentationContent(String content)

  This method is used by the `processDocumentation(WSDLElement, Node)` to clean up the documentation content string. By default, this method replaces all line feeds, carriage returns, and sequences of multiple whitespace with a single space.

  Parameters:
    `content` - the original content as read from the definition; never null
  Returns:
    the cleaned content; may be null if the content contained useless information

### processExtensibilityElements

    protected void processExtensibilityElements(javax.wsdl.WSDLElement wsdlElement,
                                                Node outputNode)
                                         throws Exception

  Throws:
    `Exception`

### processExtensibilityElement

    protected void processExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement element,
                                               Node parentNode)
                                        throws Exception

  Throws:
    `Exception`

### processHTTPAddress

    protected void processHTTPAddress(javax.wsdl.extensions.http.HTTPAddress element,
                                      Node parentNode)
                               throws Exception

  Throws:
    `Exception`

### processHTTPBinding

    protected void processHTTPBinding(javax.wsdl.extensions.http.HTTPBinding element,
                                      Node parentNode)
                               throws Exception

  Throws:
    `Exception`

### processHTTPOperation

    protected void processHTTPOperation(javax.wsdl.extensions.http.HTTPOperation element,
                                        Node parentNode)
                                 throws Exception

  Throws:
    `Exception`

### processHTTPUrlEncoded

    protected void processHTTPUrlEncoded(javax.wsdl.extensions.http.HTTPUrlEncoded element,
                                         Node parentNode)
                                  throws Exception

  Throws:
    `Exception`

### processHTTPUrlReplacement

    protected void processHTTPUrlReplacement(javax.wsdl.extensions.http.HTTPUrlReplacement element,
                                             Node parentNode)
                                      throws Exception

  Throws:
    `Exception`

### processSOAP12Address

    protected void processSOAP12Address(javax.wsdl.extensions.soap12.SOAP12Address element,
                                        Node parentNode)
                                 throws Exception

  Throws:
    `Exception`

### processSOAP12Binding

    protected void processSOAP12Binding(javax.wsdl.extensions.soap12.SOAP12Binding element,
                                        Node parentNode)
                                 throws Exception

  Throws:
    `Exception`

### processSOAP12Operation

    protected void processSOAP12Operation(javax.wsdl.extensions.soap12.SOAP12Operation element,
                                          Node parentNode)
                                   throws Exception

  Throws:
    `Exception`

### processSOAP12Body

    protected void processSOAP12Body(javax.wsdl.extensions.soap12.SOAP12Body element,
                                     Node parentNode)
                              throws Exception

  Throws:
    `Exception`

### processSOAP12Fault

    protected void processSOAP12Fault(javax.wsdl.extensions.soap12.SOAP12Fault element,
                                      Node parentNode)
                               throws Exception

  Throws:
    `Exception`

### processSOAP12Header

    protected void processSOAP12Header(javax.wsdl.extensions.soap12.SOAP12Header element,
                                       Node parentNode)
                                throws Exception

  Throws:
    `Exception`

### processSOAP12HeaderFault

    protected void processSOAP12HeaderFault(javax.wsdl.extensions.soap12.SOAP12HeaderFault element,
                                            Node parentNode)
                                     throws Exception

  Throws:
    `Exception`

### processSOAPAddress

    protected void processSOAPAddress(javax.wsdl.extensions.soap.SOAPAddress element,
                                      Node parentNode)
                               throws Exception

  Throws:
    `Exception`

### processSOAPBinding

    protected void processSOAPBinding(javax.wsdl.extensions.soap.SOAPBinding element,
                                      Node parentNode)
                               throws Exception

  Throws:
    `Exception`

### processSOAPOperation

    protected void processSOAPOperation(javax.wsdl.extensions.soap.SOAPOperation element,
                                        Node parentNode)
                                 throws Exception

  Throws:
    `Exception`

### processSOAPBody

    protected void processSOAPBody(javax.wsdl.extensions.soap.SOAPBody element,
                                   Node parentNode)
                            throws Exception

  Throws:
    `Exception`

### processSOAPFault

    protected void processSOAPFault(javax.wsdl.extensions.soap.SOAPFault element,
                                    Node parentNode)
                             throws Exception

  Throws:
    `Exception`

### processSOAPHeader

    protected void processSOAPHeader(javax.wsdl.extensions.soap.SOAPHeader element,
                                     Node parentNode)
                              throws Exception

  Throws:
    `Exception`

### processSOAPHeaderFault

    protected void processSOAPHeaderFault(javax.wsdl.extensions.soap.SOAPHeaderFault element,
                                          Node parentNode)
                                   throws Exception

  Throws:
    `Exception`

### processMIMEMultipartRelated

    protected void processMIMEMultipartRelated(javax.wsdl.extensions.mime.MIMEMultipartRelated element,
                                               Node parentNode)
                                        throws Exception

  Throws:
    `Exception`

### processMIMEPart

    protected void processMIMEPart(javax.wsdl.extensions.mime.MIMEPart element,
                                   Node parentNode)
                            throws Exception

  Throws:
    `Exception`

### processMIMEContent

    protected void processMIMEContent(javax.wsdl.extensions.mime.MIMEContent element,
                                      Node parentNode)
                               throws Exception

  Throws:
    `Exception`

### processMIMEMimeXml

    protected void processMIMEMimeXml(javax.wsdl.extensions.mime.MIMEMimeXml element,
                                      Node parentNode)
                               throws Exception

  Throws:
    `Exception`

### processUnknownExtensionElement

    protected void processUnknownExtensionElement(javax.wsdl.extensions.ExtensibilityElement element,
                                                  Node parentNode)
                                           throws Exception

  This method is called by `processExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement, javax.jcr.Node)` when the type of extension is not known. By default this method does nothing, but subclasses can override this method to specialize the behavior.

  Parameters:
    `element` - the extensibility element
    `parentNode` - the parent node; never null
  Throws:
    `Exception` - if there is a problem processing the element

### setReferenceable

    protected void setReferenceable(Node node,
                                    SymbolSpace space,
                                    QName qname)
                             throws RepositoryException

  Throws:
    `RepositoryException`

### setReferenceable

    protected void setReferenceable(Node node,
                                    SymbolSpace space,
                                    String namespace,
                                    String name)
                             throws RepositoryException

  Throws:
    `RepositoryException`

### setReference

    protected void setReference(Node node,
                                String propertyName,
                                SymbolSpace space,
                                QName name)
                         throws RepositoryException

  Throws:
    `RepositoryException`

### writeXml

    protected String writeXml(Node xmlNode)
                       throws TransformerFactoryConfigurationError,
                              TransformerException

  Throws:
    `TransformerFactoryConfigurationError`
    `TransformerException`

### addChildNode

    protected Node addChildNode(Node parentNode,
                                QName qname,
                                String primaryType)
                         throws RepositoryException

  Throws:
    `RepositoryException`

### uuidForComponent

    protected String uuidForComponent(javax.wsdl.WSDLElement component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.